# Set Library Notice

Edits or adds a custom notice for a given library

Endpoint: POST /api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/notices
Version: 2.0
Security: bearer-key

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

  - `libraryUuid` (string, required)
    library UUID (get a project's library by running Library - Project > Get Project Libraries.

## Request fields (application/json):

  - `text` (string, required)
    Example: "Developed internally"

  - `reference` (string)
    Example: "https://github.com/..."

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.text` (string, required)
    Example: "Developed internally"

  - `retVal.reference` (string)
    Example: "https://github.com/..."

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


